Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065997 - W3C validator: ID markup elements starting with numbers
Summary: W3C validator: ID markup elements starting with numbers
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR02
: 6.2.0
Assignee: Lucas Ponce
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks: 1050065
TreeView+ depends on / blocked
 
Reported: 2014-02-17 13:26 UTC by Lucas Ponce
Modified: 2014-07-30 02:12 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
JBoss Portal produced xhtml type documents that contained ID attributes starting with numbers. This caused issues with W3C validation compatibility. The fix implements changes to ensure ID attributes are generated using non-number patterns.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3407 Major Resolved Avoid ID elements starting with number 2017-02-17 15:38:55 UTC

Description Lucas Ponce 2014-02-17 13:26:06 UTC
Description of problem:

JBoss Portal 6.1.0 produces XHTML 1.0 Strict type documents.

For a w3c validation, elements ID should not start with number.

There are several elements with ID starting with number creating non compliant markup.

Version-Release number of selected component (if applicable):

6.1.0

How reproducible:

Always

Steps to Reproduce:
1. Login into Portal.
2. Review source code generated.
3. Validate with http://validator.w3.org/ tool.

Actual results:

Pages with elements ID starting with numbers.

Expected results:

All elements ID should start with letter making pass a w3c validation test.

Additional info:

Comment 2 Peter Palaga 2014-03-21 15:03:19 UTC
https://github.com/gatein/gatein-portal/pull/803 was merged in upstream.

Comment 3 Tomas Kyjovsky 2014-05-26 16:12:37 UTC
Tested with 6.2.0.ER2.


Note You need to log in before you can comment on or make changes to this bug.